/**
 * Copyright (C) 2001-2005 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.pm.ejb.lib;

import org.objectweb.speedo.lib.Personality;
import org.objectweb.speedo.pm.api.POManagerItf;
import org.objectweb.speedo.pm.ejb.api.EJBPOManagerFactoryItf;
import org.objectweb.speedo.pm.lib.AbstractPOManagerFactory;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContextType;


/**
 * is the POManager factory dedicated to  EJB.
 * 
 * @author S.Chassande-Barrioz
 */
public class EJBPOManagerFactory 
		extends AbstractPOManagerFactory 
		implements EJBPOManagerFactoryItf {

	/**
	 * 
	 */
	public EJBPOManagerFactory() {
		super(Personality.EJB);
	}

    /**
	 * @see javax.persistence.EntityManagerFactory#createEntityManager()
	 */
	public EntityManager createEntityManager() {
		return null;
	}

	/**
	 * @see javax.persistence.EntityManagerFactory#createEntityManager(javax.persistence.PersistenceContextType)
	 */
	public EntityManager createEntityManager(PersistenceContextType arg0) {
		return null;
	}

	/**
	 * @see javax.persistence.EntityManagerFactory#getEntityManager()
	 */
	public EntityManager getEntityManager() {
		return null;
	}

	/**
	 * @see javax.persistence.EntityManagerFactory#close()
	 */
	public void close() {
	}

	/**
	 * @see javax.persistence.EntityManagerFactory#isOpen()
	 */
	public boolean isOpen() {
		return false;
	}

	/**
	 * @see org.objectweb.speedo.pm.api.POManagerFactoryItf#getPOManager()
	 */
	public POManagerItf getPOManager() {
		return null;
	}

}
