package invoice;

/**
 * @author S.Chassande-Barrioz
 */
public class ProductUnits {
    private Product product;
	private Invoice invoice;
    private int quantity;
    private long identifier;

    public ProductUnits() {
    }

    public ProductUnits(Product product,
                        Invoice invoice,
                        int quantity,
                        long identifier) {
        this.product = product;
        this.invoice = invoice;
        this.quantity = quantity;
        this.identifier = identifier;
    }

    public String toString() {
        return "identifier:" + identifier + " / quantity:" + quantity
            + " / product: (" + product + ")";
    }

    public Product getProduct() {
        return product;
    }

    public void setProduct(Product product) {
        this.product = product;
    }

    public int getQuantity() {
        return quantity;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public long getIdentifier() {
        return identifier;
    }

    public void setIdentifier(long identifier) {
        this.identifier = identifier;
    }

    public Invoice getInvoice() {
        return invoice;
    }

    public void setInvoice(Invoice invoice) {
        this.invoice = invoice;
    }
}
