/**
 * Copyright (C) 2001-2006 France Telecom R&D
 */
package secondarytable;


public class Address {
    String street;
    String city;
    String state;
    String zip;
    String deliveryInstructions;
    boolean signatureRequired;
    byte[] mapJPG;
    public String getCity() {
        return city;
    }
    public void setCity(String city) {
        this.city = city;
    }
    public String getDeliveryInstructions() {
        return deliveryInstructions;
    }
    public void setDeliveryInstructions(String deliveryInstructions) {
        this.deliveryInstructions = deliveryInstructions;
    }
    public byte[] getMapJPG() {
        return mapJPG;
    }
    public void setMapJPG(byte[] mapJPG) {
        this.mapJPG = mapJPG;
    }
    public boolean isSignatureRequired() {
        return signatureRequired;
    }
    public void setSignatureRequired(boolean signatureRequired) {
        this.signatureRequired = signatureRequired;
    }
    public String getState() {
        return state;
    }
    public void setState(String state) {
        this.state = state;
    }
    public String getStreet() {
        return street;
    }
    public void setStreet(String street) {
        this.street = street;
    }
    public String getZip() {
        return zip;
    }
    public void setZip(String zip) {
        this.zip = zip;
    }
    public boolean equals(Object o) {
        if (!(o instanceof Address)) {
            return false;
        }
        Address a = (Address) o;
        return 
            ((street == null && a.street == null) 
                || (street != null && street.equals(a.street)))
            &&
            ((city == null && a.city == null) 
                    || (city != null && city.equals(a.city)))
            &&
            ((state == null && a.state == null) 
                    || (state != null && state.equals(a.state)))
            &&
            ((zip == null && a.zip == null) 
                    || (zip != null && zip.equals(a.zip)))
            &&
            ((deliveryInstructions == null && a.deliveryInstructions == null) 
                    || (deliveryInstructions != null 
                            && deliveryInstructions.equals(a.deliveryInstructions)))
            && ((signatureRequired && a.signatureRequired)
                    || (!signatureRequired && !a.signatureRequired))
            ;
    }

    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append(super.toString());
        sb.append(", street=").append(street);
        sb.append(", city=").append(city);
        sb.append(", zip=").append(zip);
        sb.append(", deliveryInstructions=").append(deliveryInstructions);
        sb.append(", signatureRequired=").append(signatureRequired);
        return sb.toString();
    }
}
